Schema "fpml-doc-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10163 $

Defined Components:

  141 local elements, 64 complexTypes, 1 simpleType, 8 element groups, 1 attribute group

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-doc-5-5.xsd; see XML source

Includes Schema:

  fpml-asset-5-5.xsd [src]

Included in Schema:

  fpml-msg-5-5.xsd [src]

All Element Summary
accountReference (defined in AccountReferenceOrPartyReference.model group) | Reference to the subaccount definition in the Party list.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin AccountReferenceOrPartyReference.model group; see XML source
allocatedFraction | The fractional allocation (0.45 = 45%) of the notional and "block" fees to this particular client subaccount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin Allocation complexType; see XML source
allocatedNotional | The notional allocation (amount and currency) to this particular client account.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Allocation complexType; see XML source
allocation |
Type: | Allocation
Content: | complex, 9 elements
Defined: | locally witnin Allocations complexType; see XML source
allocationStatus (in partyTradeInformation) | Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated.
Type: | AllocationReportingStatus
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
allocationStatus (in tradeInformation) | Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated.
Type: | AllocationReportingStatus
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
allocationTradeId | Unique ID for the allocation.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin Allocation complexType; see XML source
amendmentEffectiveDate | The date on which the Amendment becomes effective
Type: | xsd:date
Content: | simple
Defined: | locally witnin AmendmentDetails.model group; see XML source
amendmentTradeDate | The date on which the the parties enter into the Amendment transaction
Type: | xsd:date
Content: | simple
Defined: | locally witnin AmendmentDetails.model group; see XML source
approval |
Type: | Approval
Content: | complex, 3 elements
Defined: | locally witnin Approvals complexType; see XML source
approvals | A container for approval states in the workflow.
Type: | Approvals
Content: | complex, 1 element
Defined: | locally witnin AllocationContent.model group; see XML source
approver | The full name or identifiying ID of the relevant approver.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
barrierDeterminationAgent | The party referenced is specified in the related Confirmation as Barrier Determination Agent.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin Trade complexType; see XML source
basePath | XPath to the element in the base object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
baseValue | The value of the element in the base object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
calculationAgent | The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
Type: | CalculationAgent
Content: | complex, 2 elements
Defined: | locally witnin CalculationAgent.model group; see XML source
calculationAgentBusinessCenter | The city in which the office through which ISDA Calculation Agent is acting for purposes of the transaction is located The short-form confirm for a trade that is executed under a Sovereign or Asia Pacific Master Confirmation Agreement ( MCA ), does not need to specify the Calculation Agent.
Type: | BusinessCenter
Content: | simple, 2 attributes
Defined: | locally witnin CalculationAgent.model group; see XML source
clearingStatus (in partyTradeInformation) | Describes the status with respect to clearing (e.g.
Type: | ClearingStatusValue
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
clearingStatus (in tradeInformation) | Describes the status with respect to clearing (e.g.
Type: | ClearingStatusValue
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
collateral | The sum that must be posted upfront to collateralize against counterparty credit risk.
Type: | Collateral
Content: | complex, 1 element
Defined: | locally witnin AllocationContent.model group; see XML source
collateralizationType (in partyTradeInformation) | Specifies whether this party posts collateral.
Type: | CollateralizationType
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
collateralizationType (in tradeInformation) | Specifies whether this party posts collateral.
Type: | CollateralizationType
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
collateralPortfolio | Provides a name, code, or other identifier for the collateral portfolio to which this belongs.
Type: | PortfolioName
Content: | simple, 2 attributes
Defined: | locally witnin PartyTradeInformation complexType; see XML source
componentReference | A reference to a component of the strategy (typically a product).
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin StrategyComponentIdentification complexType; see XML source
confirmationMethod (in partyTradeInformation) | Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | ConfirmationMethod
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
confirmationMethod (in tradeInformation) | Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | ConfirmationMethod
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
contractId (defined in ContractIdentifier complexType) | A contract id which is not version aware.
Type: | ContractId
Content: | simple, 2 attributes
Defined: | locally witnin ContractIdentifier complexType; see XML source
contractId (in versionedContractId) |
Type: | ContractId
Content: | simple, 2 attributes
Defined: | locally witnin VersionedContractId complexType; see XML source
couponStartDate | The date interest started accruing for the accrued interest calculation on an interest bearing security.
Type: | xsd:date
Content: | simple
Defined: | locally witnin InstrumentTradePricing complexType; see XML source
creditChargeAmount | Special credit fee assessed to certain institutions.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin AllocationContent.model group; see XML source
creditDocument | What arrangements will be made to provide credit?
Type: | CreditDocument
Content: | simple, 1 attribute
Defined: | locally witnin EndUserExceptionDeclaration complexType; see XML source
creditEvent (defined in CreditDerivativesNotices complexType) | This element corresponds to the Credit Event Notice Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
differenceSeverity | An indication of the severity of the difference.
Type: | DifferenceSeverityEnum
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
differenceType | The type of difference that exists.
Type: | DifferenceTypeEnum
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
element | The name of the element affected.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
endUserException (in partyTradeInformation) | Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
endUserException (in tradeInformation) | Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
entityClassification | Indicates the category or classification or business role of the organization referenced by the partyTradeInformation with respect to this reporting regime, for example Financial, NonFinancial etc.
Type: | EntityClassification
Content: | simple, 1 attribute
Defined: | locally witnin ReportingRegime complexType; see XML source
exceedsClearingThreshold | Indicates whether the counterparty exceeds the volume threshold above which trades are required to be cleared.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReportingRegime complexType; see XML source
exDividendDate | The date when a distribution of dividends or interest is deducted from a securities asset, or set aside for payment to the original bondholders.
Type: | xsd:date
Content: | simple
Defined: | locally witnin InstrumentTradePricing complexType; see XML source
executionDateTime (in partyTradeInformation) | Trade execution date time, for example as provided by a central execution facility.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionDateTime (in tradeInformation) | Trade execution date time, for example as provided by a central execution facility.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
executionType (in partyTradeInformation) | Used to describe how the trade was executed, e.g. via voice or electronically.
Type: | ExecutionType
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionType (in tradeInformation) | Used to describe how the trade was executed, e.g. via voice or electronically.
Type: | ExecutionType
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
executionVenueType (in partyTradeInformation) | Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
Type: | ExecutionVenueType
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
executionVenueType (in tradeInformation) | Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
Type: | ExecutionVenueType
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
extraElement | Element(s) that are extraneous in the other object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
gross | Value excluding fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
intentToAllocate (in partyTradeInformation) | Specifies whether the trade is anticipated to be allocated.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
intentToAllocate (in tradeInformation) | Specifies whether the trade is anticipated to be allocated.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
intentToClear (in partyTradeInformation) | Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
intentToClear (in tradeInformation) | Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
issuer (defined in TradeIdentifier complexType) |
Type: | IssuerId
Content: | simple, 1 attribute
Defined: | locally witnin TradeIdentifier complexType; see XML source
issuer (in productComponentIdentifier) |
Type: | IssuerId
Content: | simple, 1 attribute
Defined: | locally witnin ProductComponentIdentifier complexType; see XML source
largeSizeTrade (in partyTradeInformation) | Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
largeSizeTrade (in tradeInformation) | Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
mandatorilyClearable | Whether the particular trade type in question is required by this regulator to be cleared.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReportingRegime complexType; see XML source
masterConfirmationDate | The date of the confirmation executed between the parties and intended to govern the allocated trade between those parties.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AllocationContent.model group; see XML source
message | A human readable description of the problem.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
missingElement | Element(s) that are missing in the other trade.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
name (defined in ReportingRegime complexType) | Identifies the reporting regime under which this data is reported.
Type: | ReportingRegimeName
Content: | simple, 1 attribute
Defined: | locally witnin ReportingRegime complexType; see XML source
net (in principalAmount defined in InstrumentTradePrincipal complexType) | Value including fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
net (in principalAmount defined in InstrumentTradePrincipal complexType) | Value including fees and commissions.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NetAndOrGross.model group; see XML source
nominal | The monetary value of the security (eg. fixed income security) that was traded).
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InstrumentTradeQuantity complexType; see XML source
nonStandardTerms (in partyTradeInformation) | Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
nonStandardTerms (in tradeInformation) | Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
notionalAmountReference | A reference to the notional amount.
Type: | NotionalAmountReference
Content: | empty, 1 attribute
Defined: | locally witnin PercentageRule complexType; see XML source
number (defined in InstrumentTradeQuantity complexType) | The (absolute) number of units of the underlying instrument that were traded.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin InstrumentTradeQuantity complexType; see XML source
offMarketPrice (in partyTradeInformation) | Indicates that the price does not reflect the current market.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PartyTradeInformation complexType; see XML source
offMarketPrice (in tradeInformation) | Indicates that the price does not reflect the current market.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin TradeInformation complexType; see XML source
onBehalfOf (in dataDocument) | Indicates which party (and accounts) a trade is being processed for.
Type: | OnBehalfOf
Content: | complex, 2 elements
Defined: | locally witnin DataDocument complexType; see XML source
orderEntered | When an order was first generated, as recorded for the first time when it was first entered by a person or generated by a trading algorithm (i.e., the first record of the order).
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
orderSubmitted | The time when an order is submitted by a market participant to an execution facility, as recorded based on the timestamp of the message that was sent by the participant.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
organizationCharacteristic | Allows the organization to specify which categories or characteristics apply to it for end-user exception determination.
Type: | OrganizationCharacteristic
Content: | simple, 1 attribute
Defined: | locally witnin EndUserExceptionDeclaration complexType; see XML source
originatingEvent (in dataDocument) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin DataDocument complexType; see XML source
originatingTradeId (defined in PartyTradeIdentifier complexType) | The trade id of the trade(s) upon which this was based, for example the ID of the trade that was submitted for clearing if this is a cleared trade, or of the original trade if this was novated or cancelled and rebooked, or the list of trades that were netted or compressed together in the case of a compression event.
Type: | TradeIdentifier
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin PartyTradeIdentifier complexType; see XML source
otherPath | XPath to the element in the other object.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
otherValue | Value of the element in the other trade.
Type: | xsd:string
Content: | simple
Defined: | locally witnin TradeDifference complexType; see XML source
partyPortfolioName | The name of the portfolio together with the party that gave the name.
Type: | PartyPortfolioName
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Portfolio complexType; see XML source
partyReference (defined in AccountReferenceOrPartyReference.model group) | Reference to the party definition.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin AccountReferenceOrPartyReference.model group; see XML source
partyReference (defined in ContractIdentifier complexType) | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ContractIdentifier complexType; see XML source
partyReference (in partyPortfolioName) | A pointer style reference to a party identifier defined elsewhere in the document.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyPortfolioName complexType; see XML source
partyTradeIdentifier (in portfolio) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin Portfolio complexType; see XML source
partyTradeIdentifier (in tradeHeader) | The trade reference identifier(s) allocated to the trade by the parties involved.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeHeader complexType; see XML source
partyTradeIdentifier (in tradeReference) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin PartyTradeIdentifiers complexType; see XML source
partyTradeInformation | Additional trade information that may be provided by each involved party.
Type: | PartyTradeInformation
Content: | complex, 19 elements
Defined: | locally witnin TradeHeader complexType; see XML source
paymentPercent | A percentage of the notional amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PercentageRule complexType; see XML source
physicalSettlement (defined in CreditDerivativesNotices complexType) | This element corresponds to the Notice of Intended Physical Settlement Delivered Under Old Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
portfolio | An arbitary grouping of trade references (and possibly other portfolios).
Type: | Portfolio
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin Portfolio complexType; see XML source
portfolioName (in partyPortfolioName) |
Type: | PortfolioName
Content: | simple, 2 attributes
Defined: | locally witnin PartyPortfolioName complexType; see XML source
premiumProductReference (defined in Strategy complexType) | Indicates which product within a strategy represents the premium payment.
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin Strategy complexType; see XML source
premiumProductReference (in productComponentIdentifier) | Indicates which product within a strategy this ID is associated with.
Type: | ProductReference
Content: | empty, 1 attribute
Defined: | locally witnin ProductComponentIdentifier complexType; see XML source
principalAmount (defined in InstrumentTradePrincipal complexType) | The net and/or gross value of the amount traded in native currency.
Type: | NetAndGross
Content: | complex, 3 elements
Defined: | locally witnin InstrumentTradePrincipal complexType; see XML source
productComponentIdentifier | The USIs of the components of this trade, when this trade contains a strategy.
Type: | ProductComponentIdentifier
Content: | complex, 3 elements
Defined: | locally witnin PartyTradeIdentifier complexType; see XML source
publiclyAvailableInformation (defined in CreditDerivativesNotices complexType) | This element corresponds to the Notice of Publicly Available Information Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditDerivativesNotices complexType; see XML source
publiclyReported | When the public report of this was created or received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
publicReportUpdated | When the public report of this was most recently corrected or corrections were sent or received by this party.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
queryParameter |
Type: | QueryParameter
Content: | complex, 3 elements
Defined: | locally witnin QueryPortfolio complexType; see XML source
queryParameterId |
Type: | QueryParameterId
Content: | simple, 2 attributes
Defined: | locally witnin QueryParameter complexType; see XML source
queryParameterOperator |
Type: | QueryParameterOperator
Content: | simple, 2 attributes
Defined: | locally witnin QueryParameter complexType; see XML source
queryParameterValue |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin QueryParameter complexType; see XML source
quote (defined in InstrumentTradePricing complexType) |
Type: | BasicQuotation
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin InstrumentTradePricing complexType; see XML source
registrationNumber | The ID assigned by the regulator (e.g.
Type: | RegulatorId
Content: | simple, 1 attribute
Defined: | locally witnin SupervisorRegistration.model group; see XML source
relatedParty (in allocation) | Specifies any relevant parties to the allocation which should be referenced.
Type: | RelatedParty
Content: | complex, 3 elements
Defined: | locally witnin AllocationContent.model group; see XML source
relatedParty (in partyTradeInformation) | This may be used to identify one or more parties that perform a role within the transaction.
Type: | RelatedParty
Content: | complex, 3 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
relatedParty (in tradeInformation) | This may be used to identify one or more parties that perform a role within the transaction.
Type: | RelatedParty
Content: | complex, 3 elements
Defined: | locally witnin TradeInformation complexType; see XML source
reportingPurpose | The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic.
Type: | ReportingPurpose
Content: | simple, 1 attribute
Defined: | locally witnin ReportingRegime complexType; see XML source
reportingRegime (in partyTradeInformation) | Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply.
Type: | ReportingRegime
Content: | complex, 8 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
reportingRegime (in tradeInformation) | Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply.
Type: | ReportingRegime
Content: | complex, 8 elements
Defined: | locally witnin TradeInformation complexType; see XML source
reportingRole | Identifies the role of this party in reporting this trade for this regulator; roles could include ReportingParty and Voluntary reporting.
Type: | ReportingRole
Content: | simple, 2 attributes
Defined: | locally witnin ReportingRegime complexType; see XML source
status (in approval) | The current state of approval (.e.g preapproved, pending approval, etc.)
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
strategyComponentIdentifier |
Type: | StrategyComponentIdentification
Content: | complex, 2 elements
Defined: | locally witnin Strategy complexType; see XML source
supervisorRegistration (defined in EndUserExceptionDeclaration complexType) | Allows the organization to specify which if any relevant regulators it is registered with, and if so their identification number.
Type: | SupervisorRegistration
Content: | complex, 2 elements
Defined: | locally witnin EndUserExceptionDeclaration complexType; see XML source
supervisorRegistration (defined in ReportingRegime complexType) | Identifies the specific regulator or other supervisory body for which this data is produced.
Type: | SupervisorRegistration
Content: | complex, 2 elements
Defined: | locally witnin ReportingRegime complexType; see XML source
supervisorRegistration (defined in ReportingRegime complexType) | Identifies the specific regulator or other supervisory body for which this data is produced.
Type: | SupervisorRegistration
Content: | complex, 2 elements
Defined: | locally witnin ReportingRegime complexType; see XML source
supervisoryBody | The regulator or other supervisory body the organization is registered with (e.g.
Type: | SupervisoryBody
Content: | simple, 1 attribute
Defined: | locally witnin SupervisorRegistration.model group; see XML source
timestamp | Other timestamps for this trade.
Type: | TradeTimestamp
Content: | complex, 2 elements
Defined: | locally witnin TradeProcessingTimestamps complexType; see XML source
timestamps (in partyTradeInformation) | Allows timing information about a trade to be recorded.
Type: | TradeProcessingTimestamps
Content: | complex, 5 elements
Defined: | locally witnin PartyTradeInformation complexType; see XML source
timestamps (in tradeInformation) | Allows timing information about a trade to be recorded.
Type: | TradeProcessingTimestamps
Content: | complex, 5 elements
Defined: | locally witnin TradeInformation complexType; see XML source
trade (in affectedTransactions) | An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains
Type: | Trade
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin TradeOrTradeReference.model group; see XML source
trade (in dataDocument) | The root element in an FpML trade document.
Type: | Trade
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin DataDocument complexType; see XML source
tradeDate | The trade date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeHeader complexType; see XML source
tradedFlatOfAccrued | Whether the accrued interest in included when the trade settles.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin InstrumentTradePricing complexType; see XML source
tradeHeader | The information on the trade which is not product specific, e.g. trade date.
Type: | TradeHeader
Content: | complex, 4 elements
Defined: | locally witnin Trade complexType; see XML source
tradeId (defined in TradeIdentifier complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin TradeIdentifier complexType; see XML source
tradeId (defined in TradeIdentifier complexType) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin TradeIdentifier complexType; see XML source
tradeId (in portfolio) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin Portfolio complexType; see XML source
tradeId (in productComponentIdentifier) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin ProductComponentIdentifier complexType; see XML source
tradeId (in versionedTradeId) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin VersionedTradeId complexType; see XML source
tradeIdentifierReference (in strategyComponentIdentifier) | A reference to a party trade ID.
Type: | PartyTradeIdentifierReference
Content: | empty, 1 attribute
Defined: | locally witnin StrategyComponentIdentification complexType; see XML source
tradeInformation | Additional trade information that is shared by all parties.
Type: | TradeInformation
Content: | complex, 17 elements
Defined: | locally witnin TradeHeader complexType; see XML source
tradeReference | A container since an individual trade can be referenced by two or more different partyTradeIdentifier elements - each allocated by a different party.
Type: | PartyTradeIdentifiers
Content: | complex, 1 element
Defined: | locally witnin TradeOrTradeReference.model group; see XML source
transactionCharacteristic | Allows the relevant transaction level categories or characteristics to be recorded for end-user exception determination.
Type: | TransactionCharacteristic
Content: | simple, 1 attribute
Defined: | locally witnin EndUserExceptionDeclaration complexType; see XML source
type (in approval) | The type of approval (e.g.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin Approval complexType; see XML source
type (in timestamp) |
Type: | TimestampTypeScheme
Content: | simple, 1 attribute
Defined: | locally witnin TradeTimestamp complexType; see XML source
validation | A list of validation sets the sender asserts the document is valid with respect to.
Type: | Validation
Content: | simple, 1 attribute
Defined: | locally witnin Validation.model group; see XML source
value (in timestamp) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeTimestamp complexType; see XML source
verificationMethod (in partyTradeInformation) | Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | VerificationMethod
Content: | simple, 1 attribute
Defined: | locally witnin PartyTradeInformation complexType; see XML source
verificationMethod (in tradeInformation) | Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation.
Type: | VerificationMethod
Content: | simple, 1 attribute
Defined: | locally witnin TradeInformation complexType; see XML source
versionedContractId | A contract id which is version aware.
Type: | VersionedContractId
Content: | complex, 3 elements
Defined: | locally witnin ContractIdentifier complexType; see XML source
versionedTradeId | A trade identifier accompanied by a version number.
Type: | VersionedTradeId
Content: | complex, 3 elements
Defined: | locally witnin TradeIdentifier complexType; see XML source

Complex Type Summary
Allocation |
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
AllocationReportingStatus | Code that describes what type of allocation applies to the trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
Allocations |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
Approval | A specific approval state in the workflow.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Approvals |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ClearingStatusValue | The current status value of a clearing request.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CollateralizationType | Code that describes what type of collateral is posted by a party to a transaction.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
ConfirmationMethod | A type used to represent the type of mechanism that can be used to confirm a trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
ContractId | A contact id identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 2 locations
ContractIdentifier | A type defining a contract identifier issued by the indicated party.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never
CreditDerivativesNotices |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
CreditDocument | A credit arrangement used in support of swaps trading.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DataDocument | A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention.
Content: | complex, 3 attributes, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Document | The abstract base type from which all FpML compliant messages and documents must be derived.
Content: | empty, 3 attributes
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
EndUserExceptionDeclaration | Records supporting information justifying an end user exception under 17 CFR part 39.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
EntityClassification | A type describing the entity of a party, for example Financial, NonFinancial etc.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ExecutionDateTime | A type defining the trade execution date time and the source of it.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 4 locations
ExecutionType | A type used to represent the type of market where a trade can be executed.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
ExecutionVenueType | A type used to represent the type of market where a trade can be executed.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
FirstPeriodStartDate |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
InstrumentTradePricing | A structure describing the price paid for the instrument.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
InstrumentTradePrincipal | A structure describing the value in "native" currency of an instrument that was traded.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
InstrumentTradeQuantity | A structure describing the amount of an instrument that was traded.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
IssuerId | The data type used for issuer identifiers.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
LinkId | The data type used for link identifiers.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | never
NetAndGross | A structure including a net and/or a gross amount and possibly fees and commissions.
Content: | complex, 3 elements
Defined: | globally; see XML source
Used: | at 1 location
OrganizationCharacteristic | A characteristic of an organization used in declaring an end-user exception.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PartyPortfolioName | A type to represent a portfolio name for a particular party.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
PartyTradeIdentifier | A type defining one or more trade identifiers allocated to the trade by a party.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 16 locations
PartyTradeIdentifiers | A type containing multiple partyTradeIdentifier.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PartyTradeInformation | A type defining party-specific additional information that may be recorded against a trade.
Content: | complex, 19 elements
Defined: | globally; see XML source
Includes: | definitions of 18 elements
Used: | at 1 location
PercentageRule | A type defining a content model for a calculation rule defined as percentage of the notional amount.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
Portfolio | A type representing an arbitary grouping of trade references.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations
PortfolioName | The data type used for portfolio names.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 3 locations
ProductComponentIdentifier | A type defining a USI for the a subproduct component of a strategy.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
QueryParameter | A type representing criteria for defining a query portfolio.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
QueryParameterId | A type representing an identifier for a parameter describing a query portfolio.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
QueryParameterOperator | A type representing an operator describing the relationship of a value to its corresponding identifier for a parameter describing a query portfolio.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
QueryPortfolio | A type representing a portfolio obtained by querying the set of trades held in a repository.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
RegulatorId | An ID assigned by a regulator to an organization registered with it.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportingPurpose | A value that explains the reason or purpose that information is being reported.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportingRegime | Provides information about how the information in this message is applicable to a regulatory reporting process.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 2 locations
ReportingRegimeName | An identifier of an reporting regime or format used for regulatory reporting, for example DoddFrankAct, MiFID, HongKongOTCDRepository, etc.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportingRole | A type containing a code representing the role of a party in a report, e.g. the originator, the recipient, the counterparty, etc.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
Strategy | A type defining a group of products making up a single trade.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
StrategyComponentIdentification | Associates trade identifiers with components of a strategy.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SupervisorRegistration | Provides information about a regulator or other supervisory body that an organization is registered with.
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 3 locations
SupervisoryBody | An identifier of an organization that supervises or regulates trading activity, e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TimestampTypeScheme | The type or meaning of a timestamp.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Trade | A type defining an FpML trade.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 13 locations
TradeCategory | A scheme used to categorize positions.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
TradeDifference | A type used to record the details of a difference between two business objects/
Content: | complex, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location
TradeHeader | A type defining trade related information which is not product specific.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
TradeId | A trade reference identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 7 locations
TradeIdentifier | A type defining a trade identifier issued by the indicated party.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 6 locations
TradeInformation | A type defining additional information that may be recorded against a trade.
Content: | complex, 17 elements
Defined: | globally; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location
TradeProcessingTimestamps | Allows timing information about when a trade was processed and reported to be recorded.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
Trader |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
TradeTimestamp | A generic trade timestamp
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TransactionCharacteristic | A characteristic of a transaction used in declaring an end-user exception.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Validation | A reference identifying a rule within a validation scheme.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
VerificationMethod | A type used to represent the type of mechanism that can be used to verify a trade.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
VersionedContractId | Contract Id with Version Support
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VersionedTradeId | Trade Id with Version Support
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Simple Type Summary
QueryParameterValue | A type representing a value corresponding to an identifier for a parameter describing a query portfolio.
Defined: | globally; see XML source
Used: | never

Element Group Summary
AccountReferenceOrPartyReference.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
AllocationContent.model |
Content: | 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
AmendmentDetails.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
CalculationAgent.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
NetAndOrGross.model | A group including a net and/or a gross amount.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
SupervisorRegistration.model | Provides information about a regulator or other supervisory body that an organization is registered with.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeOrTradeReference.model | Choice between identification and representation of trade execution.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
Validation.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never

Attribute Group Summary
VersionAttributes.atts | Set of attributes that define versioning information.
Content: | 3 attributes
Defined: | globally; see XML source
Includes: | definitions of 3 attributes
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- edited with XMLSpy v2011 rel. 3 sp1 (http://www.altova.com) by private (private) --> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10163 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <xsd:simpleType name="QueryParameterValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing a value corresponding to an identifier for a parameter describing a query portfolio. </xsd:documentation> </xsd:annotation> <xsd:restriction base="xsd:string"/> </xsd:simpleType> <xsd:complexType name="Allocation"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unique ID for the allocation. Multiple allocation trade IDs are provided to allow for the use of USI/UTI representations along with party-specific trade identifiers. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:choice minOccurs="0"> <xsd:element name="allocatedFraction" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fractional allocation (0.45 = 45%) of the notional and "block" fees to this particular client subaccount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" name="allocatedNotional" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional allocation (amount and currency) to this particular client account. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="AllocationContent.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AllocationReportingStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> Code that describes what type of allocation applies to the trade. Options include Unallocated, PreAllocation, PostAllocation. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/allocation-reporting-status" name="allocationReportingStatusScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Allocations"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocation" type="Allocation"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Approval"> <xsd:annotation> <xsd:documentation xml:lang="en">A specific approval state in the workflow.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of approval (e.g. "Credit").</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="status" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The current state of approval (.e.g preapproved, pending approval, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approver" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en"> The full name or identifiying ID of the relevant approver. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Approvals"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="approval" type="Approval"/> </xsd:sequence> </xsd:complexType> <!-- Orphans type <xsd:complexType name="BestFitTrade"> <xsd:annotation> <xsd:documentation xml:lang="en">A type used to record the differences between the current trade and another indicated trade.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="tradeIdentifier" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier for the trade compared against.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="differences" type="TradeDifference" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">An optional set of detailed difference records.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType>--> <xsd:complexType name="ClearingStatusValue"> <xsd:annotation> <xsd:documentation>The current status value of a clearing request.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/clearing-status" name="clearingStatusScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--Moved "Collateral" to shared--> <xsd:complexType name="CollateralizationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Code that describes what type of collateral is posted by a party to a transaction. Options include Uncollateralized, Partial, Full, One-Way. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/collateral-type" name="collateralTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of mechanism that can be used to confirm a trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/confirmation-method" name="confirmationMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ContractId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A contact id identifier allocated by a party. FpML does not define the domain values associated with this element. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="contractIdScheme" type="xsd:anyURI" use="required"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ContractIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a contract identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the contract identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> Where the legal activity is to agree a contract of variation then the business process should be to modify a contract. This is a contract in its own right and not a version of a previous contract. Where the business process is to replace and supersede a contract then you have a new contract and a contract version should not be used. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" name="contractId" type="ContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">A contract id which is not version aware.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="versionedContractId" type="VersionedContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">A contract id which is version aware.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CreditDerivativesNotices"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEvent" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Credit Event Notice Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publiclyAvailableInformation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Notice of Publicly Available Information Delivered Under Old Transaction and Deemed Delivered Under New Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="physicalSettlement" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element corresponds to the Notice of Intended Physical Settlement Delivered Under Old Transaction under the EXHIBIT C to 2004 ISDA Novation Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A credit arrangement used in support of swaps trading. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-document" name="creditDocumentScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DataDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model that is backwards compatible with older FpML releases and which can be used to contain sets of data without expressing any processing intention. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Document"> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="onBehalfOf" type="OnBehalfOf"> <xsd:annotation> <xsd:documentation> Indicates which party (and accounts) a trade is being processed for. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element maxOccurs="unbounded" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">The root element in an FpML trade document.</xsd:documentation> </xsd:annotation> </xsd:element> <!-- <xsd:element name="priceNotation" type="BasicQuotation" minOccurs="0" > <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> <xsd:appinfo> <view:exclusive view="transparency" /> <view:exclusive view="recordkeeping" /> <view:exclusive view="confirmation" /> <view:exclusive view="reporting" /> </xsd:appinfo> </xsd:annotation> </xsd:element> --> <!--View Generation: SKIPPED portfolio - Unsupported--> </xsd:sequence> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="Document"> <xsd:annotation> <xsd:documentation xml:lang="en"> The abstract base type from which all FpML compliant messages and documents must be derived. </xsd:documentation> </xsd:annotation> <xsd:attributeGroup ref="VersionAttributes.atts"/> </xsd:complexType> <xsd:complexType name="EndUserExceptionDeclaration"> <xsd:annotation> <xsd:documentation xml:lang="en"> Records supporting information justifying an end user exception under 17 CFR part 39. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditDocument" type="CreditDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> What arrangements will be made to provide credit? (e.g. CSA, collateral pledge, guaranty, available resources, financing). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="organizationCharacteristic" type="OrganizationCharacteristic"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows the organization to specify which categories or characteristics apply to it for end-user exception determination. Examples include "FinancialEntity", "CaptiveFinanceUnit", "BoardOfDirectorsApproval". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="transactionCharacteristic" type="TransactionCharacteristic"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows the relevant transaction level categories or characteristics to be recorded for end-user exception determination. Examples include "BoardOfDirectorsApproval", "HedgesCommercialRisk". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="supervisorRegistration" type="SupervisorRegistration"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows the organization to specify which if any relevant regulators it is registered with, and if so their identification number. For example, it could specify that it is SEC registered and provide its Central Index Key. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EntityClassification"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the entity of a party, for example Financial, NonFinancial etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/entity-classification" name="entityClassificationScheme" type="xsd:anyURI" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ExecutionDateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the trade execution date time and the source of it. For use inside containing types which already have a Reference to a Party that has assigned this trade execution date time. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:dateTime"> <xsd:attribute name="executionDateTimeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of the source (e.g. clock id) generating the execution date time. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ExecutionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of market where a trade can be executed. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/execution-type" name="executionTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ExecutionVenueType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of market where a trade can be executed. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/execution-venue-type" name="executionVenueTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="FirstPeriodStartDate"> <xsd:simpleContent> <xsd:extension base="xsd:date"> <xsd:attribute ecore:reference="Party" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!--Moved to shared "IndependentAmount"--> <!--View Generation: SKIPPED InstrumentTradeDetails - Unsupported--> <xsd:complexType name="InstrumentTradeQuantity"> <xsd:annotation> <xsd:documentation> A structure describing the amount of an instrument that was traded. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="number" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The (absolute) number of units of the underlying instrument that were traded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="nominal" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The monetary value of the security (eg. fixed income security) that was traded). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="InstrumentTradePricing"> <xsd:annotation> <xsd:documentation> A structure describing the price paid for the instrument. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/> <xsd:element minOccurs="0" name="couponStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date interest started accruing for the accrued interest calculation on an interest bearing security. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exDividendDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date when a distribution of dividends or interest is deducted from a securities asset, or set aside for payment to the original bondholders. From the ex-date, any dividends that are owing on the security are paid to the original owner. As a consequence of this, on the ex-date, the securities price typically drops by the amount of the distribution (plus or minus any market activity). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradedFlatOfAccrued" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the accrued interest in included when the trade settles. ("true" means accrued interest is not included when the trade settles.) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <!-- <xsd:choice> <xsd:element name="price" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="cleanPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, exclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dirtyPrice" type="NetAndGross" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="dirtyPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> <xsd:appinfo> <view:skip view="reporting"/> <view:skip view="transparency"/> </xsd:appinfo> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:complexType> <xsd:complexType name="InstrumentTradePrincipal"> <xsd:annotation> <xsd:documentation> A structure describing the value in "native" currency of an instrument that was traded. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="principalAmount" type="NetAndGross"> <xsd:annotation> <xsd:documentation xml:lang="en"> The net and/or gross value of the amount traded in native currency. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="IssuerId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for issuer identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="issuerIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="LinkId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for link identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute name="linkIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NetAndGross"> <xsd:annotation> <xsd:documentation> A structure including a net and/or a gross amount and possibly fees and commissions. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="NetAndOrGross.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Net and/or gross amount.</xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OrganizationCharacteristic"> <xsd:annotation> <xsd:documentation xml:lang="en"> A characteristic of an organization used in declaring an end-user exception. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/organization-characteristic" name="organizationCharacteristicScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="PartyPortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to represent a portfolio name for a particular party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioName" type="PortfolioName"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining one or more trade identifiers allocated to the trade by a party. A link identifier allows the trade to be associated with other related trades, e.g. trades forming part of a larger structured transaction. It is expected that for external communication of trade there will be only one tradeId sent in the document per party. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="TradeIdentifier"> <xsd:sequence> <!--View Generation: SKIPPED linkId - PartySpecific--> <!--View Generation: SKIPPED allocationTradeId - PartySpecific--> <!--View Generation: SKIPPED blockTradeId - PartySpecific--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade id of the trade(s) upon which this was based, for example the ID of the trade that was submitted for clearing if this is a cleared trade, or of the original trade if this was novated or cancelled and rebooked, or the list of trades that were netted or compressed together in the case of a compression event. The originatingEvent will explain why the trade was created; the existence and number of originatingTradeId elements should correspond to the originatingEvent, and they should be interpreted using that field. If the trade is inside a business event structure (such as a novation or a compression event) this element shuld not be populated; instead the event shoudl be used to represent the other trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productComponentIdentifier" type="ProductComponentIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The USIs of the components of this trade, when this trade contains a strategy. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyTradeIdentifiers"> <xsd:annotation> <xsd:documentation xml:lang="en">A type containing multiple partyTradeIdentifier.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining party-specific additional information that may be recorded against a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group minOccurs="0" ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies that party that has ownership of this information. For shared trade information, this will reference the originator of the date (for example, an execution facility or clearinghouse). </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"> <xsd:annotation> <xsd:documentation xml:lang="en"> This may be used to identify one or more parties that perform a role within the transaction. If this is within a partyTradeInformation block, the related party performs the role with respect to the party identifie by the "partyReference" in the partyTradeInformation block. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED reportingRole - PartySpecific--> <!--View Generation: SKIPPED unit - PartySpecific--> <!--View Generation: SKIPPED relatedBusinessUnit - PartySpecific--> <!--View Generation: SKIPPED relatedPerson - PartySpecific--> <!--View Generation: SKIPPED isAccountingHedge - Documentation--> <!--View Generation: SKIPPED category - PartySpecific--> <!--View Generation: SKIPPED trader - PartySpecific--> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Trade execution date time, for example as provided by a central execution facility. Normally this refers to the original execution time of the trade, not the execution time of any post-trade events that may have affeted it. However, in the case of a post trade event that reports the new version of the trade (for example, the novation trade in an novation event, or the amended trade in an amendment event), the execution date time may contain the time that the newly created or modified trade was created or modified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows timing information about a trade to be recorded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be allocated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="intentToClear" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be cleared via a derivative clearing organization </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the status with respect to clearing (e.g. Submitted, Pending, Cleared, RejectedForClearing, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether this party posts collateral. For Recordkeeping, the collateralization type refers to collateral that is posted by this firm, and One-Way is not meaningful. In other words, if the collateralization type is Full, this trade is fully collateralized by this party. For Transparency view, the options include Full, Partial, Uncollateralized, and One-Way. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="collateralPortfolio" type="PortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides a name, code, or other identifier for the collateral portfolio to which this belongs. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked. If a relatedParty block with a role of ClearingExceptionParty is present, that related party indicates which party is claiming the end user exception. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonStandardTerms" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms. The flag indicates that the price for this trade is not to be construed as being indicative of the market for standardised trades with otherwise identical reportable terms. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting. Normally this will only be applicable for off-facility trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was executed, e.g. via voice or electronically. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionVenueType" type="ExecutionVenueType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe the type of venue where trade was executed, e.g via an execution facility or privately. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="verificationMethod" type="VerificationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--Moved to shared "PaymentDetail"--> <!-- Moved to shared "PaymentRule" --> <xsd:complexType name="PercentageRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model for a calculation rule defined as percentage of the notional amount. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentRule"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentPercent" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">A percentage of the notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAmountReference" type="NotionalAmountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to the notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an arbitary grouping of trade references. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyPortfolioName" type="PartyPortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the portfolio together with the party that gave the name. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> An arbitary grouping of trade references (and possibly other portfolios). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PortfolioName"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used for portfolio names.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="id" type="xsd:ID"/> <xsd:attribute name="portfolioNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryParameter"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing criteria for defining a query portfolio. The criteria are made up of a QueryParameterId, QueryParameterValue and QueryParameterOperator. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="queryParameterId" type="QueryParameterId"/> <xsd:element minOccurs="0" name="queryParameterValue" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="queryParameterOperator" type="QueryParameterOperator"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="QueryParameterId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an identifier for a parameter describing a query portfolio. An identifier can be anything from a product name like swap to a termination date. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="queryParameterIdScheme" type="xsd:anyURI" use="required"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryParameterOperator"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing an operator describing the relationship of a value to its corresponding identifier for a parameter describing a query portfolio. Possible relationships include equals, not equals, less than, greater than. Possible operators are listed in the queryParameterOperatorScheme. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/query-parameter-operator" name="queryParameterOperatorScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="QueryPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type representing a portfolio obtained by querying the set of trades held in a repository. It contains trades matching the intersection of all criteria specified using one or more queryParameters or trades matching the union of two or more child queryPortfolios. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Portfolio"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="queryParameter" type="QueryParameter"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RegulatorId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ID assigned by a regulator to an organization registered with it. (NOTE: should this just by represented by an alternate party ID?) </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="regulatorIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReportingPurpose"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value that explains the reason or purpose that information is being reported. Examples might include RealTimePublic reporting, PrimaryEconomicTerms reporting, Confirmation reporting, or Snapshot reporting. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reporting-purpose" name="reportingPurposeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReportingRegime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides information about how the information in this message is applicable to a regulatory reporting process. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element name="name" type="ReportingRegimeName"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the reporting regime under which this data is reported. For example, Dodd-Frank, MiFID, HongKongOTCDRepository, ODRF </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="supervisorRegistration" type="SupervisorRegistration"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the specific regulator or other supervisory body for which this data is produced. For example, CFTC, SEC, UKFSA, ODRF, SFC, ESMA. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="supervisorRegistration" type="SupervisorRegistration"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the specific regulator or other supervisory body for which this data is produced. For example, CFTC, SEC, UKFSA, ODRF, SFC, ESMA. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the role of this party in reporting this trade for this regulator; roles could include ReportingParty and Voluntary reporting. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingPurpose" type="ReportingPurpose"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- NB: the following field is still under discussion in the FpML Reporting Working Group and may be changed in subsquent drafts of the standard --> <!-- <xsd:element name="publiclyReportable" type="xsd:boolean" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">Whether the particular trade type in question is required to be publicly by this regulator. Note that this just says whether the regulator requires public reporting; use reportingPurpose to indicate whether the message is intended to provide public reporting.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element minOccurs="0" name="mandatorilyClearable" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the particular trade type in question is required by this regulator to be cleared. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exceedsClearingThreshold" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether the counterparty exceeds the volume threshold above which trades are required to be cleared. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="entityClassification" type="EntityClassification"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the category or classification or business role of the organization referenced by the partyTradeInformation with respect to this reporting regime, for example Financial, NonFinancial etc. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReportingRegimeName"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier of an reporting regime or format used for regulatory reporting, for example DoddFrankAct, MiFID, HongKongOTCDRepository, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reporting-regime" name="reportingRegimeNameScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReportingRole"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type containing a code representing the role of a party in a report, e.g. the originator, the recipient, the counterparty, etc. This is used to clarify which participant's information is being reported. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reporting-role" name="reportingRoleScheme" type="xsd:anyURI" use="optional"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Strategy"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a group of products making up a single trade. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="strategyComponentIdentifier" type="StrategyComponentIdentification"/> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates which product within a strategy represents the premium payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="StrategyComponentIdentification"> <xsd:annotation> <xsd:documentation xml:lang="en"> Associates trade identifiers with components of a strategy. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifierReference" type="PartyTradeIdentifierReference"> <xsd:annotation> <xsd:documentation xml:lang="en">A reference to a party trade ID.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="componentReference" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference to a component of the strategy (typically a product). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SupervisorRegistration"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides information about a regulator or other supervisory body that an organization is registered with. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="SupervisorRegistration.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SupervisoryBody"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier of an organization that supervises or regulates trading activity, e.g. CFTC, SEC, FSA, ODRF, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/supervisory-body" name="supervisoryBodyScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TimestampTypeScheme"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or meaning of a timestamp.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="timestampScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining an FpML trade.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="tradeHeader" type="TradeHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information on the trade which is not product specific, e.g. trade date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element ref="product"/> <!--View Generation: SKIPPED otherPartyPayment - Unsupported--> <!--View Generation: SKIPPED brokerPartyReference - PartySpecific--> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED determiningParty - PartySpecific--> <!--FX change--> <xsd:element minOccurs="0" name="barrierDeterminationAgent" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The party referenced is specified in the related Confirmation as Barrier Determination Agent. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED hedgingParty - PartySpecific--> <!--View Generation: SKIPPED collateral - PartySpecific--> <!--View Generation: SKIPPED documentation - Documentation--> <!--View Generation: SKIPPED governingLaw - Documentation--> <!--View Generation: SKIPPED allocations - PartySpecific--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="TradeCategory"> <xsd:annotation> <xsd:documentation xml:lang="en">A scheme used to categorize positions.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/org-type-category" name="categoryScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the details of a difference between two business objects/ </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="differenceType" type="DifferenceTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The type of difference that exists.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="differenceSeverity" type="DifferenceSeverityEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">An indication of the severity of the difference.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="element" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">The name of the element affected.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="basePath" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">XPath to the element in the base object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="baseValue" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">The value of the element in the base object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherPath" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">XPath to the element in the other object.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="otherValue" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Value of the element in the other trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="missingElement" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">Element(s) that are missing in the other trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="extraElement" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Element(s) that are extraneous in the other object. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="message" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en">A human readable description of the problem.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining trade related information which is not product specific. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade reference identifier(s) allocated to the trade by the parties involved. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="tradeInformation" type="TradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional trade information that is shared by all parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional trade information that may be provided by each involved party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED clearedDate - Other-unavailable for this view--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A trade reference identifier allocated by a party. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="tradeIdScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a trade identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="issuer" type="IssuerId"/> <xsd:element name="tradeId" type="TradeId"/> </xsd:sequence> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier and optionally an account identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="tradeId" type="TradeId"/> <xsd:element name="versionedTradeId" type="VersionedTradeId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A trade identifier accompanied by a version number. In regulatory reporting views, this should be avoided except for internal mnessaging. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ProductComponentIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a USI for the a subproduct component of a strategy. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates which product within a strategy this ID is associated with. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="issuer" type="IssuerId"/> <xsd:element name="tradeId" type="TradeId"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining additional information that may be recorded against a trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"> <xsd:annotation> <xsd:documentation xml:lang="en"> This may be used to identify one or more parties that perform a role within the transaction. If this is within a partyTradeInformation block, the related party performs the role with respect to the party identifie by the "partyReference" in the partyTradeInformation block. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- RPTWG 2009-09-04 begin--> <!--View Generation: SKIPPED reportingRole - PartySpecific--> <!--View Generation: SKIPPED unit - PartySpecific--> <!--View Generation: SKIPPED relatedBusinessUnit - PartySpecific--> <!--View Generation: SKIPPED relatedPerson - PartySpecific--> <!--View Generation: SKIPPED isAccountingHedge - Documentation--> <!--View Generation: SKIPPED category - PartySpecific--> <!--View Generation: SKIPPED trader - PartySpecific--> <xsd:element name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Trade execution date time, for example as provided by a central execution facility. Normally this refers to the original execution time of the trade, not the execution time of any post-trade events that may have affeted it. However, in the case of a post trade event that reports the new version of the trade (for example, the novation trade in an novation event, or the amended trade in an amendment event), the execution date time may contain the time that the newly created or modified trade was created or modified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows timing information about a trade to be recorded. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be allocated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="intentToClear" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is anticipated to be cleared via a derivative clearing organization </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the status with respect to clearing (e.g. Submitted, Pending, Cleared, RejectedForClearing, etc.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether this party posts collateral. For Recordkeeping, the collateralization type refers to collateral that is posted by this firm, and One-Way is not meaningful. In other words, if the collateralization type is Full, this trade is fully collateralized by this party. For Transparency view, the options include Full, Partial, Uncollateralized, and One-Way. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="nonStandardTerms" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms. The flag indicates that the price for this trade is not to be construed as being indicative of the market for standardised trades with otherwise identical reportable terms. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting. Normally this will only be applicable for off-facility trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was executed, e.g. via voice or electronically. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="executionVenueType" type="ExecutionVenueType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe the type of venue where trade was executed, e.g via an execution facility or privately. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="verificationMethod" type="VerificationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeProcessingTimestamps"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows timing information about when a trade was processed and reported to be recorded. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When an order was first generated, as recorded for the first time when it was first entered by a person or generated by a trading algorithm (i.e., the first record of the order). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time when an order is submitted by a market participant to an execution facility, as recorded based on the timestamp of the message that was sent by the participant. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution facility records this time (i.e. it is in the facility's party trade information), it will be the time the message was received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the public report of this was created or received by this party. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution records this time (i.e. it is in the facility's party trade information), it will be the time the message was received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> When the public report of this was most recently corrected or corrections were sent or received by this party. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED nonpubliclyReported - Other-unavailable for this view--> <!--View Generation: SKIPPED nonpublicReportUpdated - Other-unavailable for this view--> <!--View Generation: SKIPPED submittedForConfirmation - Other-unavailable for this view--> <!--View Generation: SKIPPED updatedForConfirmation - Other-unavailable for this view--> <!--View Generation: SKIPPED confirmed - Other-unavailable for this view--> <!--View Generation: SKIPPED submittedForClearing - Other-unavailable for this view--> <!--View Generation: SKIPPED updatedForClearing - Other-unavailable for this view--> <!--View Generation: SKIPPED cleared - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsSubmitted - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsUpdated - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsCompleted - Other-unavailable for this view--> <!-- TODO: We are currently not including this in SDR reporting views, in order to encourange standardization of timestamp fields --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"> <xsd:annotation> <xsd:documentation xml:lang="en"> Other timestamps for this trade. This is provisional in Recordkeeping and Transparency view and may be reviewed in a subsequent draft. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Trader"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="traderScheme" type="xsd:anyURI" use="optional"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeTimestamp"> <xsd:annotation> <xsd:documentation xml:lang="en">A generic trade timestamp</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="TimestampTypeScheme"/> <xsd:element minOccurs="0" name="value" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TransactionCharacteristic"> <xsd:annotation> <xsd:documentation xml:lang="en"> A characteristic of a transaction used in declaring an end-user exception. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/transaction-characteristic" name="transactionCharacteristicScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- <xsd:complexType name="CounterpartyTypes"> <xsd:annotation> <xsd:documentation xml:lang="en">The organization types of the counterparties to the transaction. Counterparty types include SD (Swaps Dealer), MSP (Major Swap Participant), Client (non-SD/non-MSP.). Coding scheme values include InterDealer, DealerMSP, InterMSP, DealerClient, MSPClient, and Other.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="counterpartyTypesScheme" type="xsd:anyURI" /> </xsd:extension> </xsd:simpleContent> </xsd:complexType> --> <xsd:complexType name="Validation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference identifying a rule within a validation scheme. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="validationScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="VerificationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to represent the type of mechanism that can be used to verify a trade. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/verification-method" name="verificationMethodScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="VersionedContractId"> <xsd:annotation> <xsd:documentation xml:lang="en">Contract Id with Version Support</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="contractId" type="ContractId"/> <xsd:group ref="VersionHistory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The version of the contract id. The contractId is versioned and not the contract. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:complexType name="VersionedTradeId"> <xsd:annotation> <xsd:documentation xml:lang="en">Trade Id with Version Support</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> <xsd:group ref="VersionHistory.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> The version of the trade id. The tradeId is versioned and not the trade. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> </xsd:complexType> <xsd:attributeGroup name="VersionAttributes.atts"> <xsd:annotation> <xsd:documentation xml:lang="en"> Set of attributes that define versioning information. </xsd:documentation> </xsd:annotation> <xsd:attribute name="fpmlVersion" use="required"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicate which version of the FpML Schema an FpML message adheres to. </xsd:documentation> </xsd:annotation> <xsd:simpleType> <xsd:restriction base="xsd:token"> <xsd:pattern value="5-[0-9]+"/> </xsd:restriction> </xsd:simpleType> </xsd:attribute> <xsd:attribute name="expectedBuild" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> This optional attribute can be supplied by a message creator in an FpML instance to specify which build number of the schema was used to define the message when it was generated. </xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute fixed="7" name="actualBuild" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific build number of this schema version. This attribute is not included in an instance document. Instead, it is supplied by the XML parser when the document is validated against the FpML schema and indicates the build number of the schema file. Every time FpML publishes a change to the schema, validation rules, or examples within a version (e.g., version 4.2) the actual build number is incremented. If no changes have been made between releases within a version (i.e. from Trial Recommendation to Recommendation) the actual build number stays the same. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:attributeGroup> <!--View Generation: SKIPPED instrumentTradeDetails - Unsupported--> <!--View Generation: SKIPPED strategy - Unsupported--> <xsd:group name="AccountReferenceOrPartyReference.model"> <xsd:choice> <xsd:element name="accountReference" type="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the subaccount definition in the Party list. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to the party definition.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group name="AllocationContent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="collateral" type="Collateral"> <xsd:annotation> <xsd:documentation xml:lang="en"> The sum that must be posted upfront to collateralize against counterparty credit risk. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creditChargeAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Special credit fee assessed to certain institutions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approvals" type="Approvals"> <xsd:annotation> <xsd:documentation xml:lang="en">A container for approval states in the workflow.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date of the confirmation executed between the parties and intended to govern the allocated trade between those parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies any relevant parties to the allocation which should be referenced. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="AmendmentDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="amendmentTradeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the the parties enter into the Amendment transaction </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="amendmentEffectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date on which the Amendment becomes effective</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CalculationAgent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationAgentBusinessCenter" type="BusinessCenter"> <xsd:annotation> <xsd:documentation xml:lang="en"> The city in which the office through which ISDA Calculation Agent is acting for purposes of the transaction is located The short-form confirm for a trade that is executed under a Sovereign or Asia Pacific Master Confirmation Agreement ( MCA ), does not need to specify the Calculation Agent. However, the confirm does need to specify the Calculation Agent City. This is due to the fact that the MCA sets the value for Calculation Agent but does not set the value for Calculation Agent City. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="NetAndOrGross.model"> <xsd:annotation> <xsd:documentation>A group including a net and/or a gross amount.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="net" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value including fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="gross" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value excluding fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="net" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Value including fees and commissions.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="SupervisorRegistration.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides information about a regulator or other supervisory body that an organization is registered with. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="supervisoryBody" type="SupervisoryBody"> <xsd:annotation> <xsd:documentation xml:lang="en"> The regulator or other supervisory body the organization is registered with (e.g. SEC). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="registrationNumber" type="RegulatorId"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ID assigned by the regulator (e.g. SEC's Central Index Key). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeOrTradeReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of trade execution. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> An element that allows the full details of the trade to be used as a mechanism for identifying the trade for which the post-trade event pertains </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="tradeReference" type="PartyTradeIdentifiers"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container since an individual trade can be referenced by two or more different partyTradeIdentifier elements - each allocated by a different party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:group> <xsd:group fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Replaced by Implementation Specification in msg header" name="Validation.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="validation" type="Validation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A list of validation sets the sender asserts the document is valid with respect to. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.